Package Sync Compatibility#

Package sync is regularly tested against the following package managers:

Package Managers#

Package Manager

Status

apt

Y

conda

Y

mamba

Y

micromamba

Y

poetry

Y

venv

Y

yum

Y

On the following operating systems (note that not every package manager is tested on every OS):

OS#

OS

Version

Status

Amazon Linux

2023

Y

Debian

10 (Buster)

Y (with non-system Python)

Debian

11 (Bullseye)

Y

macOS

11 (Intel)

Y

macOS

12 (Intel)

Y

macOS

13 (Intel)

Y

macOS

14 (ARM)

Y

Ubuntu

20.04 (with non-system Python)

Y

Ubuntu

22.04

Y

Windows Server

2019

Y (with non-system Python)

Windows Server

2022

Y

Note that it’s still possible to encounter errors, even using package managers and OSs listed here. If you run into issues, please open an issue or email support@coiled.io.